Bug 247708 (exiv2-0.27.3) - [exp-run] graphics/exiv2: Update to 0.27.3 (Bug and security fixes)
Summary: [exp-run] graphics/exiv2: Update to 0.27.3 (Bug and security fixes)
Status: Closed FIXED
Alias: exiv2-0.27.3
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Many People
Assignee: Tobias C. Berner
URL: https://github.com/Exiv2/exiv2/releas...
Keywords: needs-patch, needs-qa, security
Depends on:
Blocks:
 
Reported: 2020-07-02 10:15 UTC by daniel.engberg.lists
Modified: 2020-07-09 10:44 UTC (History)
2 users (show)

See Also:
tcberner: maintainer-feedback+
tcberner: merge-quarterly+
antoine: exp-run+


Attachments
Patch for exiv2 (3.11 KB, patch)
2020-07-02 10:15 UTC, daniel.engberg.lists
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description daniel.engberg.lists 2020-07-02 10:15:01 UTC
Created attachment 216131 [details]
Patch for exiv2

Update exiv2 to 0.27.3
Add make test target

FreeBSD 13.0-CURRENT r361421 amd64 (make test)
Poudriere testport OK 12.1-RELEASE (amd64)
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2020-07-03 03:58:13 UTC
^Triage: Pending VuXML entries
Comment 2 Tobias C. Berner freebsd_committer 2020-07-03 05:41:05 UTC
Moin moin 

Thanks for the patch.

mfg Tobias
Comment 3 Tobias C. Berner freebsd_committer 2020-07-03 05:42:19 UTC
Moin moin 

multimedia@ would like an exp-run for the attached patch to upgrade exiv2 to 0.27.3.

mfg Tobias
Comment 4 Antoine Brodin freebsd_committer 2020-07-06 05:49:20 UTC
Exp-run looks fine
Comment 5 commit-hook freebsd_committer 2020-07-06 06:53:33 UTC
A commit references this bug:

Author: tcberner
Date: Mon Jul  6 06:52:46 UTC 2020
New revision: 541320
URL: https://svnweb.freebsd.org/changeset/ports/541320

Log:
  graphics/exiv2: update to 0.27.3

  PR:		247708
  Submitted by:	daniel.engberg.lists@pyret.net
  Exp-run by:	antoine
  MFH:		2020Q3

Changes:
  head/graphics/exiv2/Makefile
  head/graphics/exiv2/distinfo
  head/graphics/exiv2/pkg-plist
Comment 6 Tobias C. Berner freebsd_committer 2020-07-06 06:54:10 UTC
Committed. Thanks.
Comment 7 commit-hook freebsd_committer 2020-07-09 10:42:13 UTC
A commit references this bug:

Author: tcberner
Date: Thu Jul  9 10:41:38 UTC 2020
New revision: 541741
URL: https://svnweb.freebsd.org/changeset/ports/541741

Log:
  MFH: r541320

  graphics/exiv2: update to 0.27.3

  PR:		247708
  Submitted by:	daniel.engberg.lists@pyret.net
  Exp-run by:	antoine

  Approved by:	ports-secteam (joneum)

Changes:
_U  branches/2020Q3/
  branches/2020Q3/graphics/exiv2/Makefile
  branches/2020Q3/graphics/exiv2/distinfo
  branches/2020Q3/graphics/exiv2/pkg-plist